@font-face {
  font-family: "Georgia", sans-serif;
  src: url(../main/assets/font/georgia/georgia-regular.ttf);
}

@font-face {
  font-family: "Arial", sans-serif;
  src: url(../main/assets/font/arial/arial-regular.ttf);
}

:root {
  --font-family: "Georgia", sans-serif;
  --font-family-second: "Arial", sans-serif;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --color-light-xl: #fff;
  --color-light-l: #f6f6f6;
  --color-light-s: #fafafa;
  --color-dark-s: #cdcdcd;
  --color-dark-m: #b2b2b2;
  --color-dark-l: #545454;
  --color-dark-xl: #4c4c4c;
  --color-dark-2xl: #444;
  --color-dark-3xl: #292929;
  --color-primary: #f1cdb3;
  --color-primary-light: #fddcc4;
  --color-dark: #000;
}

html {
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
}

body.scroll {
  overflow-y: hidden;
}

.header {
  background: var(--color-light-xl);
}

:root {
  --width-fixed: 1280px;
  --margin-center: 0 auto;
}

.container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: var(--width-fixed);
  margin: var(--margin-center);
  padding: 30px 40px;
}

@media screen and (max-width: 960px) {
  .container {
    padding: 30px 30px;
  }
}

@media screen and (max-width: 590px) {
  .container {
    padding: 30px 20px;
  }
}

.menu-list {
  display: flex;
  column-gap: 36px;
  list-style-type: none;
}

.logo-title {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 32px;
  line-height: 110%;
  letter-spacing: 0.06em;
  color: var(--color-dark-l);
}

.logo-text {
  font-family: var(--font-family-second);
  font-weight: 400;
  font-size: 13px;
  letter-spacing: 0.1em;
  color: var(--color-dark-l);
  padding: 10px 1px 0 4px;
}

.nav-link {
  font-family: var(--font-family-second);
  font-weight: 400;
  font-size: 15px;
  line-height: 160%;
  color: var(--color-dark-l);
  transition: 0.3s ease-in;
}

.header-hover:hover {
  color: var(--color-dark-3xl);
}

.line {
  border-bottom: 3px solid var(--color-primary);
  padding-bottom: 3px;
  color: var(--color-dark-3xl);
  cursor: default;
}

/* burger menu */

.burger-menu {
  display: none;
}

@media screen and (width < 768px) {
  .burger-menu {
    position: relative;
    display: block;
    width: 30.5px;
    height: 23px;
    z-index: 20;
  }

  .burger-menu.turn {
    transform: rotate(90deg);
    transition: 0.5s linear;
  }

  .menu-line {
    position: absolute;
    display: inline-block;
    border: 2px solid var(--color-dark);
    width: 100%;
    top: calc(50% - 1px);
  }

  .burger-menu::before,
  .burger-menu::after {
    position: absolute;
    content: "";
    display: inline-block;
    border: 2px solid var(--color-dark);
    left: 0;
    right: 0;
  }

  .burger-menu::before {
    top: 0;
  }

  .burger-menu::after {
    bottom: 0;
  }
}

/* menu-mobile */

@media screen and (width < 768px) {
  .nav__background {
    display: inline-block;
    position: fixed;
    top: 0;
    right: -100%;
    width: 320px;
    height: 100vh;
    background-color: var(--color-light-s);
    z-index: 10;
    padding-top: calc(50vh - 163px);
    text-align: -webkit-center;
    transition: right 0.6s linear;
  }

  .nav__background.visible {
    right: 0;
  }

  .menu-background.active {
    display: inline-block;
    background-color: rgba(41, 41, 41, 0.6);
    width: 100%;
    height: 100%;
    z-index: 5;
    position: absolute;
    top: 0;
    left: 0;
  }

  .menu-list {
    height: 327px;
    max-width: 243px;
    gap: 40px;
    display: flex;
    flex-direction: column;
    z-index: 5;
  }

  .nav-link {
    font-size: 32px;
  }

  .nav-link-first {
    font-size: 32px;
  }
}

/* block our friends */

.main {
  background: var(--color-light-l);
}

.container-main {
  max-width: var(--width-fixed);
  margin: var(--margin-center);
  padding: 80px 40px 100px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.title-3 {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 35px;
  line-height: 130%;
  letter-spacing: 0.06em;
  color: var(--color-dark-l);
}

.card {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 435px;
  row-gap: 30px;
  border-radius: 9px;
  background-color: var(--color-light-s);
  cursor: pointer;
  transition: 0.3s ease-in;
}

.card-hover:hover {
  background: var(--color-light-xl);
  box-shadow: 0 2px 35px 14px rgba(13, 13, 13, 0.04);
}

.card-hover:hover .button-hover {
  background: var(--color-primary-light);
  border-color: var(--color-primary-light);
}

.text-our {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 20px;
  letter-spacing: 0.06em;
  color: var(--color-dark-l);
}

.button-card {
  border: 2px solid var(--color-primary);
  border-radius: 100px;
  padding: 15px 45px;
  transition: 0.3s ease-in;
  background-color: var(--color-light-s);
  cursor: pointer;
}

.button-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 17px;
  line-height: 130%;
  letter-spacing: 0.059em;
  color: var(--color-dark-3xl);
}

.box-2 {
  text-align: center;
  width: 400px;
  height: 90px;
}

.slider {
  display: flex;
  flex-wrap: wrap;
  row-gap: 30px;
  justify-content: space-between;
  /* padding-top: 60px;
  padding-bottom: 65px; */
}

.slider__wrapper {
  display: flex;
  position: relative;
  overflow: hidden;
  height: 930px;
  margin-top: 60px;
  margin-bottom: 35px;
}

/* Pop-up in block our friends */

.display-none {
  display: none;
}

.img-popup {
  width: 500px;
  height: 500px;
  border-radius: 9px 0 0 9px;
}

.pop-up__background {
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(41, 41, 41, 0.6);
  z-index: 1;
  top: 0;
  left: 0;
}

.pop-up__container {
  display: flex;
  position: relative;
  max-width: 900px;
  max-height: 500px;
  border-radius: 9px;
  background: var(--color-light-s);
  margin: 0 auto;
  top: calc(50vh - 250px);
}

.title3-popup {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 35px;
  line-height: 130%;
  letter-spacing: 0.06em;
  color: var(--color-black);
  margin-bottom: 10px;
}

.title4-popup {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 20px;
  line-height: 115%;
  letter-spacing: 0.06em;
  color: var(--color-black);
}

.gap-popup {
  margin: 40px 0;
}

.text-popup {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 15px;
  line-height: 110%;
  letter-spacing: 0.06em;
  color: var(--color-black);
}

.text-popup::marker {
  color: var(--color-primary);
  width: 4px;
  height: 4px;
}

.pop-up__content {
  display: flex;
  flex-direction: column;
  align-items: start;
  margin: 50px 20px 0 29px;
}

.list-popup {
  display: flex;
  flex-direction: column;
  padding-left: 20px;
  row-gap: 10px;
}

.button-popup {
  background-color: rgba(41, 41, 41, 0.05);
  font-size: 2rem;
  border: none;
  position: absolute;
  width: 52px;
  height: 52px;
  border-radius: 100px;
  border: 2px solid var(--color-primary);
  cursor: pointer;
  transition: 0.3s ease-in-out;
  right: -50px;
  top: -50px;
}

.button-popup:hover {
  background-color: var(--color-primary);
}

/* pop-up style for 768px */

@media screen and (max-width: 1050px) {
  .img-popup {
    width: 350px;
    height: 350px;
  }
  
  .pop-up__container {
    top: calc(50vh - 175px);
    max-width: 630px;
  }
  
  .gap-popup {
    margin: 20px 0;
  }
  
  .pop-up__content {
    margin: 10px 9px 0 11px;
  }
  
  .list-popup {
    padding-left: 12px;
    row-gap: 5px;
  }
  
  .text-popup {
    font-size: 13px;
  }
}
  
/* pop-up style for 320px */

@media screen and (max-width: 735px) {
  .img-popup {
    display: none;
  }
  .pop-up__container {
    max-width: 240px;
  }
  .pop-up__content {
    margin: 10px;
  }

  .text-popup {
    text-align: justify;
  }

  .title3-popup {
    margin: 0 auto 10px;
  }

  .title4-popup {
    text-align: center;
    margin: 0 auto;
  }

  .button-popup {
    right: -40px;
  }
}

@media screen and (max-width: 1177px) {
  .slider {
    justify-content: space-around;
  }
}

@media screen and (max-width: 960px) {
  .container-main {
    padding: 80px 30px 70px;
  }
}

@media screen and (max-width: 887px) {
  .slider__wrapper {
    height: 1365px;
    margin: 42px 0 42px;
  }
}

@media screen and (max-width: 780px) {
  .slider {
    justify-content: space-between;
    padding: 0 64px 0;
    row-gap: 30px;
  }
}

@media screen and (max-width: 765px) {
  .slider {
    justify-content: space-around;
    padding: 0 15px 0;
  }
  .container-main {
    padding: 80px 10px 70px;
  }
}

@media screen and (max-width: 590px) {
  .box-2 {
    text-align: center;
    width: 300px;
    height: 64px;
  }
  .title-3 {
    font-size: 25px;
  }

  .container-main {
    padding: 42px 10px 42px;
  }
}

/* button pagination */

.navigation {
  display: flex;
  column-gap: 20px;
}

.pagination {
  width: 52px;
  height: 52px;
  font-size: 20px;
  border-radius: 100px;
  border: 2px solid var(--color-primary);
  text-align: center;
  transition: 0.3s ease-in;
}

.active {
  background: var(--color-primary);
}

.no-active {
  color: var(--color-dark-s);
  border: 2px solid var(--color-dark-s);
}

.button-hover:hover {
  background: var(--color-primary-light);
  border-color: var(--color-primary-light);
}

.cursor {
  cursor: pointer;
}

.text-button {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 20px;
  line-height: 115%;
  letter-spacing: 0.059em;
  color: var(--color-dark-3xl);
  text-align: center;
}

@media screen and (max-width: 590px) {
  .navigation {
    column-gap: 10px;
  }
}

/* block footer */

.footer {
  background: url(../main/assets/img/background/noise_transparent@2x.png),
    radial-gradient(
      549.89% 73.65% at 5.73% 50%,
      rgb(81, 61, 47) 0%,
      rgb(26, 26, 28) 100%
    );
}

.container-footer {
  max-width: var(--width-fixed);
  margin: var(--margin-center);
  padding: 40px 40px 0px;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
}

.contacts {
  display: flex;
  flex-wrap: wrap;
  justify-content: left;
  row-gap: 40px;
  align-content: flex-start;
  padding-top: 16px;
  width: 279px;
}

.title-footer-3 {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 35px;
  line-height: 130%;
  letter-spacing: 0.06em;
  color: var(--color-light-xl);
}

.links {
  display: flex;
  align-items: center;
  color: var(--color-primary);
  column-gap: 20px;
}

.text-1 {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 20px;
  line-height: 115%;
  letter-spacing: 0.06em;
  color: var(--color-primary);
}

.location {
  display: flex;
  flex-wrap: wrap;
  justify-content: left;
  row-gap: 34px;
  align-content: flex-start;
  padding-top: 16px;
  width: 302px;
}

.links-hover:hover {
  color: var(--color-primary-light);
}

@media screen and (max-width: 960px) {
  .container-footer {
    justify-content: space-around;
    row-gap: 65px;
    padding: 30px 30px 0;
  }

  .contacts {
    padding-top: 0;
  }
  .location {
    padding-top: 0;
  }
}

@media screen and (max-width: 590px) {
  .container-footer {
    justify-content: space-around;
    row-gap: 65px;
    padding: 30px 10px 0;
  }
  .title-footer-3 {
    font-size: 25px;
    text-align: center;
  }
  .box {
    width: 270px;
  }
}

@media screen and (max-width: 380px) {
  .container-footer {
    row-gap: 42px;
  }
  .link-margin {
    margin-left: 11px;
  }
  .link-margin-1 {
    margin-left: 17px;
  }
  .link-margin-2 {
    margin-left: 14px;
  }
  .img-footer {
    width: 86.6%;
  }
}

@media screen and (max-width: 322px) {
  .img-footer {
    width: 260px;
    height: 269px;
  }
  .link-margin-3 {
    margin-top: 2px;
  }

  .link-margin-4 {
    margin-top: 5px;
  }
}
